List donors
curl --request GET \
--url https://{organization}.rescueconsole.com/api/fundraising/donors \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/fundraising/donors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/fundraising/donors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"person_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"display_name": "<string>",
"email": "<string>",
"phone": "<string>",
"lifetime_cents": 123,
"donation_count": 123,
"first_donation_at": "<string>",
"last_donation_at": "<string>",
"in_kind_count": 123
}
],
"total": 123,
"limit": 123,
"offset": 123,
"has_more": true
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Donors
List donors
Everyone who has given, and everyone marked a donor who has not given yet, each with their lifetime giving. Only completed gifts count. Needs read on Fundraising.
GET
/
api
/
fundraising
/
donors
List donors
curl --request GET \
--url https://{organization}.rescueconsole.com/api/fundraising/donors \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/fundraising/donors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/fundraising/donors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"person_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"display_name": "<string>",
"email": "<string>",
"phone": "<string>",
"lifetime_cents": 123,
"donation_count": 123,
"first_donation_at": "<string>",
"last_donation_at": "<string>",
"in_kind_count": 123
}
],
"total": 123,
"limit": 123,
"offset": 123,
"has_more": true
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.
Query Parameters
given for people with at least one completed gift, never for donors who have none.
Available options:
given, never Only people who have given, but not in this many days.
Required range:
x >= 1lifetime is most given first, recent most recent gift first, count most gifts first, name by last name then first name.
Available options:
lifetime, recent, count, name How many to return. 50 unless you say, 200 at most.
Required range:
1 <= x <= 200How many to skip, for the next page.
Required range:
x >= 0